Initialize One-Time
curl --request POST \
--url https://flickopenapi.co/direct-debit/initialize-onetime \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transactionId": "uuid-34l45m5-5mfo9-em43-",
"bvn": "001122334",
"phone_no": "07011220033",
"email": "kings@user.com",
"address": "Abuja",
"amount": "1000",
"charge_date": "2024-04-11",
"currency": "NGN",
"redirectUrl": "https://google.com",
"webhookUrl": "https://google.com"
}
'import requests
url = "https://flickopenapi.co/direct-debit/initialize-onetime"
payload = {
"transactionId": "uuid-34l45m5-5mfo9-em43-",
"bvn": "001122334",
"phone_no": "07011220033",
"email": "kings@user.com",
"address": "Abuja",
"amount": "1000",
"charge_date": "2024-04-11",
"currency": "NGN",
"redirectUrl": "https://google.com",
"webhookUrl": "https://google.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transactionId: 'uuid-34l45m5-5mfo9-em43-',
bvn: '001122334',
phone_no: '07011220033',
email: 'kings@user.com',
address: 'Abuja',
amount: '1000',
charge_date: '2024-04-11',
currency: 'NGN',
redirectUrl: 'https://google.com',
webhookUrl: 'https://google.com'
})
};
fetch('https://flickopenapi.co/direct-debit/initialize-onetime', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/direct-debit/initialize-onetime",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'transactionId' => 'uuid-34l45m5-5mfo9-em43-',
'bvn' => '001122334',
'phone_no' => '07011220033',
'email' => 'kings@user.com',
'address' => 'Abuja',
'amount' => '1000',
'charge_date' => '2024-04-11',
'currency' => 'NGN',
'redirectUrl' => 'https://google.com',
'webhookUrl' => 'https://google.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/direct-debit/initialize-onetime"
payload := strings.NewReader("{\n \"transactionId\": \"uuid-34l45m5-5mfo9-em43-\",\n \"bvn\": \"001122334\",\n \"phone_no\": \"07011220033\",\n \"email\": \"kings@user.com\",\n \"address\": \"Abuja\",\n \"amount\": \"1000\",\n \"charge_date\": \"2024-04-11\",\n \"currency\": \"NGN\",\n \"redirectUrl\": \"https://google.com\",\n \"webhookUrl\": \"https://google.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/direct-debit/initialize-onetime")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"transactionId\": \"uuid-34l45m5-5mfo9-em43-\",\n \"bvn\": \"001122334\",\n \"phone_no\": \"07011220033\",\n \"email\": \"kings@user.com\",\n \"address\": \"Abuja\",\n \"amount\": \"1000\",\n \"charge_date\": \"2024-04-11\",\n \"currency\": \"NGN\",\n \"redirectUrl\": \"https://google.com\",\n \"webhookUrl\": \"https://google.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/direct-debit/initialize-onetime")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"transactionId\": \"uuid-34l45m5-5mfo9-em43-\",\n \"bvn\": \"001122334\",\n \"phone_no\": \"07011220033\",\n \"email\": \"kings@user.com\",\n \"address\": \"Abuja\",\n \"amount\": \"1000\",\n \"charge_date\": \"2024-04-11\",\n \"currency\": \"NGN\",\n \"redirectUrl\": \"https://google.com\",\n \"webhookUrl\": \"https://google.com\"\n}"
response = http.request(request)
puts response.read_body{
"CustomerCode": "S1_RFVcKsbBySc6",
"transactionId": "uuid-34l45m5-5mfo9-",
"directdeitReference": "uuid-34l45m5-5mfo9-",
"dated": "2024-04-11T14:49:31.998Z",
"mandate_status": "initiated",
"total_expected_deductions": 18,
"frequency": "daily",
"amount_per_charge": "1000",
"total_charge_amount": "1500",
"url": " https://google.com"
}Direct-debit
Initialize One-Time
Inititating A Pay via Direct debit
POST
/
direct-debit
/
initialize-onetime
Initialize One-Time
curl --request POST \
--url https://flickopenapi.co/direct-debit/initialize-onetime \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transactionId": "uuid-34l45m5-5mfo9-em43-",
"bvn": "001122334",
"phone_no": "07011220033",
"email": "kings@user.com",
"address": "Abuja",
"amount": "1000",
"charge_date": "2024-04-11",
"currency": "NGN",
"redirectUrl": "https://google.com",
"webhookUrl": "https://google.com"
}
'import requests
url = "https://flickopenapi.co/direct-debit/initialize-onetime"
payload = {
"transactionId": "uuid-34l45m5-5mfo9-em43-",
"bvn": "001122334",
"phone_no": "07011220033",
"email": "kings@user.com",
"address": "Abuja",
"amount": "1000",
"charge_date": "2024-04-11",
"currency": "NGN",
"redirectUrl": "https://google.com",
"webhookUrl": "https://google.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transactionId: 'uuid-34l45m5-5mfo9-em43-',
bvn: '001122334',
phone_no: '07011220033',
email: 'kings@user.com',
address: 'Abuja',
amount: '1000',
charge_date: '2024-04-11',
currency: 'NGN',
redirectUrl: 'https://google.com',
webhookUrl: 'https://google.com'
})
};
fetch('https://flickopenapi.co/direct-debit/initialize-onetime', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/direct-debit/initialize-onetime",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'transactionId' => 'uuid-34l45m5-5mfo9-em43-',
'bvn' => '001122334',
'phone_no' => '07011220033',
'email' => 'kings@user.com',
'address' => 'Abuja',
'amount' => '1000',
'charge_date' => '2024-04-11',
'currency' => 'NGN',
'redirectUrl' => 'https://google.com',
'webhookUrl' => 'https://google.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/direct-debit/initialize-onetime"
payload := strings.NewReader("{\n \"transactionId\": \"uuid-34l45m5-5mfo9-em43-\",\n \"bvn\": \"001122334\",\n \"phone_no\": \"07011220033\",\n \"email\": \"kings@user.com\",\n \"address\": \"Abuja\",\n \"amount\": \"1000\",\n \"charge_date\": \"2024-04-11\",\n \"currency\": \"NGN\",\n \"redirectUrl\": \"https://google.com\",\n \"webhookUrl\": \"https://google.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/direct-debit/initialize-onetime")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"transactionId\": \"uuid-34l45m5-5mfo9-em43-\",\n \"bvn\": \"001122334\",\n \"phone_no\": \"07011220033\",\n \"email\": \"kings@user.com\",\n \"address\": \"Abuja\",\n \"amount\": \"1000\",\n \"charge_date\": \"2024-04-11\",\n \"currency\": \"NGN\",\n \"redirectUrl\": \"https://google.com\",\n \"webhookUrl\": \"https://google.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/direct-debit/initialize-onetime")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"transactionId\": \"uuid-34l45m5-5mfo9-em43-\",\n \"bvn\": \"001122334\",\n \"phone_no\": \"07011220033\",\n \"email\": \"kings@user.com\",\n \"address\": \"Abuja\",\n \"amount\": \"1000\",\n \"charge_date\": \"2024-04-11\",\n \"currency\": \"NGN\",\n \"redirectUrl\": \"https://google.com\",\n \"webhookUrl\": \"https://google.com\"\n}"
response = http.request(request)
puts response.read_body{
"CustomerCode": "S1_RFVcKsbBySc6",
"transactionId": "uuid-34l45m5-5mfo9-",
"directdeitReference": "uuid-34l45m5-5mfo9-",
"dated": "2024-04-11T14:49:31.998Z",
"mandate_status": "initiated",
"total_expected_deductions": 18,
"frequency": "daily",
"amount_per_charge": "1000",
"total_charge_amount": "1500",
"url": " https://google.com"
}Authorizations
Your live or test secret key, prefixed sk-. Send as Authorization: Bearer sk-....
Body
application/json
Inititate a Direct debit Payment
Example:
"uuid-34l45m5-5mfo9-em43-"
Example:
"001122334"
Example:
"07011220033"
Example:
"kings@user.com"
Example:
"Abuja"
Example:
"1000"
Example:
"2024-04-11"
Example:
"NGN"
Example:
"https://google.com"
Example:
"https://google.com"
Response
Successful
Example:
"S1_RFVcKsbBySc6"
Example:
"uuid-34l45m5-5mfo9-"
Example:
"uuid-34l45m5-5mfo9-"
Example:
"2024-04-11T14:49:31.998Z"
Example:
"initiated"
Example:
18
Example:
"daily"
Example:
"1000"
Example:
"1500"
Example:
" https://google.com"